%define upstream_name    Module-Install-AutoManifest
%define upstream_version 0.003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Generate MANIFEST automatically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.0-14.mga10
+ Revision: 2204040
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.3.0-13.mga9
+ Revision: 1809683
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-12.mga8
+ Revision: 1505191
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.3.0-11.mga7
+ Revision: 1284793
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.3.0-10.mga7
+ Revision: 1165550
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.3.0-9.mga7
+ Revision: 1159311
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-8.mga6
+ Revision: 1030059
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.3.0-7.mga6
+ Revision: 949412
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.3.0-6.mga5
+ Revision: 789659
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 742882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 685438
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 513011
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 369847
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 28649
- mageia rebuild
- imported package perl-Module-Install-AutoManifest


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 607071
- import perl-Module-Install-AutoManifest

